Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355875 - php-pear: "PHP Startup: Unable to load dynamic library" on an upgrade
Summary: php-pear: "PHP Startup: Unable to load dynamic library" on an upgrade
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: php-pear
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 19:20 UTC by Michal Jaegermann
Modified: 2016-07-26 07:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-26 07:17:53 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2016-07-12 19:20:12 UTC
Description of problem:

The following complaints show up while upgrading:

  Upgrading   : php-pear-1:1.10.1-5.fc25.noarch                        xxx/yyy 
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/mbstring.so' - /usr/lib64/php/modules/mbstring.so: undefined symbol: zend_hash_del_key_or_index in Unknown on line 0
PHP Warning:  Module 'json' already loaded in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/mbstring.so' - /usr/lib64/php/modules/mbstring.so: undefined symbol: zend_hash_del_key_or_index in Unknown on line 0
PHP Warning:  Module 'json' already loaded in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/mbstring.so' - /usr/lib64/php/modules/mbstring.so: undefined symbol: zend_hash_del_key_or_index in Unknown on line 0
PHP Warning:  Module 'json' already loaded in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/mbstring.so' - /usr/lib64/php/modules/mbstring.so: undefined symbol: zend_hash_del_key_or_index in Unknown on line 0
PHP Warning:  Module 'json' already loaded in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/mbstring.so' - /usr/lib64/php/modules/mbstring.so: undefined symbol: zend_hash_del_key_or_index in Unknown on line 0
PHP Warning:  Module 'json' already loaded in Unknown on line 0


It is not clear how important that is but makes an impression that 'mbstring' library will be not exactly usable.

Version-Release number of selected component (if applicable):
php-pear-1.10.1-5.fc25

Comment 1 Remi Collet 2016-07-13 06:50:40 UTC
This always happens on version change, because most extensions are in separate package, and there is no way to ensure correct update order.

After upgrade, simply check that "php -v" is ok (and "php -m")

Comment 2 Michal Jaegermann 2016-07-13 14:28:59 UTC
(In reply to Remi Collet from comment #1)
> This always happens on version change, because most extensions are in
> separate package, and there is no way to ensure correct update order.

If these messages are truly a noise then maybe package scripts for php-pear should redirect to /dev/null not only stdout but stderr as well?  With an extra '2>&1' where appripriate.

Comment 3 Jan Kurik 2016-07-26 04:16:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 4 Remi Collet 2016-07-26 07:17:53 UTC
Error must be kept.

As this only happens on major update, we can continue to ignore this noise.

Notice: as php-pear is now optional, most users will probably don't install it, and won't see these warnings


Note You need to log in before you can comment on or make changes to this bug.